centos 5.3升级openssh至5.8


由于centos 5.3自带的版本太低,不支持chroot,因此升级ssh
查找相关文章:openssh centos

升级前原来的普通用户可能被禁用,因此请开启root可以登录后再进行操作

由于centos 5.3自带的版本太低,不支持chroot,因此升级ssh

wget http://mirror.internode.on.net/pub/OpenBSD/OpenSSH/portable/openssh-5.8p2.tar.gz
tar xvf openssh-5.8p2.tar.gz
cd openssh-5.8p2
./configure --prefix=/usr --sysconfdir=/etc/ssh
make
make install

解除被禁用的用户

vim /etc/shadow
ftp_user:!!:15231::::::

把用户名后面的两个!!去掉